<template>
  <div>
    <SliceZone :slices="document.data.slices" :components="components" />
  </div>
</template>

<script setup lang="ts">
import { SliceZone, usePrismic } from '@prismicio/vue';
import { components } from '~/slices';

// eslint-disable-next-line no-console
console.time('prismic');
const { client } = usePrismic();
const document = await client.getByUID('custom-page', 'test-nuxt');
// eslint-disable-next-line no-console
console.timeEnd('prismic');
</script>
